Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.appconn.ftps
Class FTPOverSSL

    java.lang.Object
      com.stc.connector.batchadapter.appconn.ftps.FTPOverSSL

    public class FTPOverSSL

extends java.lang.Object

OTD class for and FTP external system with SSL capability

Constructor Summary
`FTPOverSSL()` constructor for the OTD
`FTPOverSSL(com.stc.connector.appconn.common.ApplicationConnectionFactory acf, java.lang.String collabOID, java.lang.String connName, java.lang.String etdClassName)` constructor for creating manual mode application object;
`FTPOverSSL(com.stc.connector.framework.util.ConfigurationHelper p, java.util.Map params)` constructor for the OTD

Method Summary
`com.stc.connector.appconn.common.ApplicationConnection` | `getApplication()`
`FTPOverSSLClient` | `getClient()` get the client instance associated with the OTD
`FTPOverSSLConfiguration` | `getConfiguration()` get the configuration instance for the OTD
`void` | `reset()` life cycle method, delegate to client method reset();
`void` | `setConfiguration(FTPOverSSLConfiguration c)` set the configuration for the OTD should not be called by collaboration code;
`void` | `terminate()` life cycle method, delegate to client method terminate();

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPOverSSL

    public FTPOverSSL()

  constructor for the OTD

### FTPOverSSL

    public FTPOverSSL(com.stc.connector.appconn.common.ApplicationConnectionFactory acf,
                      java.lang.String collabOID,
                      java.lang.String connName,
                      java.lang.String etdClassName)

  constructor for creating manual mode application object;

  Parameters:
    `acf` -
    `collabOID` -
    `connName` -
    `etdClassName` -

### FTPOverSSL

    public FTPOverSSL(com.stc.connector.framework.util.ConfigurationHelper p,
                      java.util.Map params)
               throws java.lang.Exception

  constructor for the OTD

  Parameters:
    `p` - - the configuration parameters;
  Throws:
    `java.lang.Exception`

Method Detail

### getClient

    public FTPOverSSLClient getClient()

  get the client instance associated with the OTD

  Returns:
    - the client;

### getConfiguration

    public FTPOverSSLConfiguration getConfiguration()

  get the configuration instance for the OTD

  Returns:
    - the configuration

### setConfiguration

    public void setConfiguration(FTPOverSSLConfiguration c)

  set the configuration for the OTD should not be called by collaboration code;

  Parameters:
    `c` -

### reset

    public void reset()
               throws java.lang.Exception

  life cycle method, delegate to client method reset();

  Throws:
    `java.lang.Exception`

### terminate

    public void terminate()
                   throws java.lang.Exception

  life cycle method, delegate to client method terminate();

  Throws:
    `java.lang.Exception`

### getApplication

    public com.stc.connector.appconn.common.ApplicationConnection getApplication()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD